function Anamneza
% MYGUI Brief description of GUI.
%       Comments displayed at the command line in response 
%       to the help command.

% (Leave a blank line following the help.)
%% Definice poli a bloku
global misto;
figure_anamneza = figure('Visible','off',...
    'MenuBar','none',...
    'Toolbar','none',...
    'Name','Clusteing',...
    'Position',[500,500,800,600]);

MenuFile = uimenu(... %Menu File
                  'Parent',figure_anamneza,...
                  'Label','Soubor',...
                  'HandleVisibility','callback');

PrintmenuItem = uimenu(...       % Print menu item
                        'Parent',MenuFile,...
                        'Label','Tisk',...
                        'HandleVisibility','callback', ...
                        'Callback', @PrintMenuitemCallback);
CloseenuItem = uimenu(...       % Print menu item
                        'Parent',MenuFile,...
                        'Label','Konec',...
                        'Separator','on',...
                        'HandleVisibility','callback', ...
                        'Callback', @push_konec_Callback);

MenuZobrazit = uimenu(... %Menu Zobrazit
                  'Parent',figure_anamneza,...
                  'Label','Zobrazit',...
                  'HandleVisibility','callback');

SpravnemenuItem = uimenu(...       % Print menu item
                        'Parent',MenuZobrazit,...
                        'Label','Pouze správné klasifikace',...
                        'HandleVisibility','callback', ...
                        'Callback', @Spravne_MenuitemCallback);
SpatneenuItem = uimenu(...       % Print menu item
                        'Parent',MenuZobrazit,...
                        'Label','Pouze špatné klasifikace',...
                        'Separator','off',...
                        'HandleVisibility','callback', ...
                        'Callback', @Spatne_MenuitemCallback);
VsechnyenuItem = uimenu(...       % Print menu item
                        'Parent',MenuZobrazit,...
                        'Label','Všechny klasifikace',...
                        'Separator','off',...
                        'HandleVisibility','callback', ...
                        'Callback', @Vsechny_MenuitemCallback);

Panel_admin = uipanel('Parent',figure_anamneza,...
    'Title','Administrativní údaje',...
    'Units','pixels',...
    'Position',[30 440 350 150]);

    ID_pacienta_t = uicontrol(Panel_admin,'Style','Text',...
        'String','ID pacienta',...
        'Position',[15 115 150 15],...
        'HorizontalAlignment','Left');
    ID_pacienta = uicontrol(Panel_admin,'Style','PopUpMenu',...
    'String',{1:140},...
    'Value',1,...
    'Position',[150 114 40 18],...
    'HandleVisibility','callback', ...
    'CallBack',@pop_up_pacient_Callback);  
    Prijmeni_t = uicontrol(Panel_admin,'Style','Text',...
        'String','Příjmení',...
        'Position',[15 95 150 15],...
        'HorizontalAlignment','Left');
    Prijmeni = uicontrol(Panel_admin,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 95 150 18],...
        'HorizontalAlignment','Left');
    Jmeno_t = uicontrol(Panel_admin,'Style','Text',...
        'String','Jméno',...
        'Position',[15 75 150 15],...
        'HorizontalAlignment','Left');
    Jmeno = uicontrol(Panel_admin,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 75 150 18],...
        'HorizontalAlignment','Left');
    Rod_cisl_t = uicontrol(Panel_admin,'Style','Text',...
        'String','Rodné číslo',...
        'Position',[15 55 60 15],...
        'HorizontalAlignment','Left');
    Rod_cisl = uicontrol(Panel_admin,'Style','Edit',...
        'String','XXXXXX/XXXX',...
        'Enable','Inactive',...
        'Position',[150 55 85 18],...
        'HorizontalAlignment','Left');
    Datum_nar_t = uicontrol(Panel_admin,'Style','Text',...
        'String','Datum narození',...
        'Position',[15 35 150 15],...
        'HorizontalAlignment','Left');
    Datum_nar = uicontrol(Panel_admin,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 35 65 18],...
        'HorizontalAlignment','Left');
    Vek_t = uicontrol(Panel_admin,'Style','Text',...
        'String','Věk',...
        'Position',[15 15 150 15],...
        'HorizontalAlignment','Left');
    Vek = uicontrol(Panel_admin,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 15 40 18]);
    Pohlavi_t = uicontrol(Panel_admin,'Style','Text',...
        'String','Pohlaví',...
        'Position',[220 15 50 15],...
        'HorizontalAlignment','Left');
    Pohlavi = uicontrol(Panel_admin,'Style','Edit',...
        'String','',...
        'Position',[260 15 40 18]);
    
Panel_mereni = uipanel('Parent',figure_anamneza,...
    'Title','Měření',...
    'Units','pixels',...
    'Position',[30 250 350 180]);
    Datum_mer_t = uicontrol(Panel_mereni,'Style','Text',...
        'String','Datum měření',...
        'Position',[15 145 150 15],...
        'HorizontalAlignment','Left');
    Datum_mer = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 144 65 18],...
        'HorizontalAlignment','Left');      
    Vyska_t = uicontrol(Panel_mereni,'Style','Text',...
        'String','Výška',...
        'Position',[15 125 150 15],...
        'HorizontalAlignment','Left');
    Vyska = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 124 60 18]);     
    Vaha_t = uicontrol(Panel_mereni,'Style','Text',...
        'String','Váha',...
        'Position',[220 125 100 15],...
        'HorizontalAlignment','Left');
    Vaha = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[260 124 60 18]); 
    Strana = uicontrol(Panel_mereni,'Style','Text',...
        'String','DX-pravá strana       SIN-levá strana',...
        'Position',[130 105 200 15]);
    TK_AB_t = uicontrol(Panel_mereni,'Style','Text',...
        'String','K.T. - a. brachialis',...
        'Position',[15 85 150 15],...
        'HorizontalAlignment','Left');
    TK_AB = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 84 60 18]); 
    TK_AP_dx_t = uicontrol(Panel_mereni,'Style','Text',...
        'String','K.T. - a. poplitea',...
        'Position',[15 65 150 15],...
        'HorizontalAlignment','Left');
    TK_AP_dx = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 64 60 18]); 
    TK_AP_sin = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
         'Enable','Inactive',...
       'Position',[250 64 60 18]);
    TK_ATP_dx_t = uicontrol(Panel_mereni,'Style','Text',...
        'String','K.T. - a. tibialis posterior',...
        'Position',[15 45 150 15],...
        'HorizontalAlignment','Left');
    TK_ATP_dx = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 44 60 18]); 
    TK_ATP_sin = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[250 44 60 18]);
    TK_ATA_dx_t = uicontrol(Panel_mereni,'Style','Text',...
        'String','K.T. - a. tibialis anterior',...
        'Position',[15 25 150 15],...
        'HorizontalAlignment','Left');
    TK_ATA_dx = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 24 60 18]); 
    TK_ATA_sin = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[250 24 60 18]);
    teplota_dx_t = uicontrol(Panel_mereni,'Style','Text',...
        'String','Teplota',...
        'Position',[15 5 150 15],...
        'HorizontalAlignment','Left');
    teplota_dx = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 5 60 18]); 
    teplota_sin = uicontrol(Panel_mereni,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[250 4 60 18]);
    
Panel_anamneza = uipanel('Parent',figure_anamneza,...
    'Title','Anamnéza',...
    'Units','pixels',...
    'Position',[420 310 350 280]);
    Diabettes_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Diabettes',...
        'Position',[15 245 150 15],...
        'HorizontalAlignment','Left');
    Diabettes = uicontrol(Panel_anamneza,'Style','CheckBox',...
        'Position',[150 244 15 18]);      
    Diabettes_let_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Diabettes let',...
        'Position',[175 245 150 15],...
        'HorizontalAlignment','Left');
    Diabettes_let = uicontrol(Panel_anamneza,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[260 244 40 18]);     
    Hypertenze_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Hypertenze',...
        'Position',[15 225 150 15],...
        'HorizontalAlignment','Left');
    Hypertenze = uicontrol(Panel_anamneza,'Style','CheckBox',...
        'Position',[150 224 150 18]); 
    Hypertenze_let_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Hypertenze let',...
        'Position',[175 225 150 15],...
        'HorizontalAlignment','Left');
    Hypertenze_let = uicontrol(Panel_anamneza,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[260 224 40 18]);
    
    Geneticka_zatez_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Genetická zátěž',...
        'Position',[15 205 150 15],...
        'HorizontalAlignment','Left'); 
    Geneticka_zatez = uicontrol(Panel_anamneza,'Style','CheckBox',...
        'String','K.T. - a. poplitea',...
        'Position',[150 204 15 15]);
    
    Cevni_oper_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Cévní operace',...
        'Position',[15 185 150 15],...
        'HorizontalAlignment','Left'); 
    Cevni_operace = uicontrol(Panel_anamneza,'Style','CheckBox',...
        'Position',[150 184 15 15]);
    Srdecni_nemoc_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Srdeční onemocnění',...
        'Position',[15 165 150 15],...
        'HorizontalAlignment','Left');
    Srdecni_nemoc = uicontrol(Panel_anamneza,'Style','CheckBox',...
        'Position',[150 164 15 15]); 
    Angina_pect_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Angina pectoris',...
        'Position',[15 145 150 15],...
        'HorizontalAlignment','Left');
    Angina_pect = uicontrol(Panel_anamneza,'Style','CheckBox',...
         'Position',[150 144 15 15]);
    Varixy_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Varixy',...
        'Position',[15 125 150 15],...
        'HorizontalAlignment','Left'); 
    Varixy = uicontrol(Panel_anamneza,'Style','CheckBox',...
        'Position',[150 124 15 15]);
    Koureni_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Kouření',...
        'Position',[15 105 150 15],...
        'HorizontalAlignment','Left');
    Koureni = uicontrol(Panel_anamneza,'Style','CheckBox',...
        'Position',[150 104 15 15]); 
    Koureni_let_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Kouření let',...
        'Position',[175 105 150 15],...
        'HorizontalAlignment','Left');
    Koureni_let = uicontrol(Panel_anamneza,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[260 104 40 18]);
    Koureni_denne_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Kouření denně',...
        'Position',[175 85 150 15],...
        'HorizontalAlignment','Left');
    Koureni_denne = uicontrol(Panel_anamneza,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[260 84 40 18]);
    Klaudikace_sin_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Klaudikace vlevo (sin.)',...
        'Position',[15 65 150 15],...
        'HorizontalAlignment','Left');
    Klaudikace_sin = uicontrol(Panel_anamneza,'Style','CheckBox',...
        'Position',[150 64 15 15]); 
    Klaudikace_sin_vzd_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Kl. vzdálenost',...
        'Position',[175 65 150 15],...
        'HorizontalAlignment','Left');
    Klaudikace_sin_vzd = uicontrol(Panel_anamneza,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[260 64 40 18]);
    Klaudikace_dx_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Klaudikace vpravo (dx.)',...
        'Position',[15 45 150 15],...
        'HorizontalAlignment','Left');
    Klaudikace_dx = uicontrol(Panel_anamneza,'Style','CheckBox',...
        'Position',[150 44 15 15]); 
    Klaudikace_dx_vzd_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Kl. vzdálenost',...
        'Position',[175 45 150 15],...
        'HorizontalAlignment','Left');
    Klaudikace_dx_vzd = uicontrol(Panel_anamneza,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[260 44 40 18]); 
    Stenoza_sin_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Stenóza vlevo (sin.)',...
        'Position',[15 25 150 15],...
        'HorizontalAlignment','Left');
    Stenoza_sin = uicontrol(Panel_anamneza,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 24 40 15]); 
    Stenoza_dx_t = uicontrol(Panel_anamneza,'Style','Text',...
        'String','Stenóza vpravo (dx.)',...
        'Position',[15 5 150 15],...
        'HorizontalAlignment','Left');
    Stenoza_dx = uicontrol(Panel_anamneza,'Style','Edit',...
        'String','',...
        'Enable','Inactive',...
        'Position',[150 4 40 18]);
Panel_hodnoty = uipanel('Parent',figure_anamneza,...
    'Title','Určené hodnoty parametrů',...
    'Units','pixels',...
    'Position',[30 10 375 220]);
    popisek = uicontrol(Panel_hodnoty,'Style','Text',...
        'String','   Místo     Strana      Fmax      Fmin          A             D           T0            PI',...
        'Position',[10 180 360 15],...
        'HorizontalAlignment','Left');
    Hodnoty_fmax = uicontrol(Panel_hodnoty,'Style','Text',...
        'String','',...
        'HorizontalAlignment','Center',...
        'Position',[100 10 40 170]);
    Hodnoty_fmin = uicontrol(Panel_hodnoty,'Style','Text',...
        'String','',...
        'HorizontalAlignment','Center',...
        'Position',[145 10 40 170]);
    Hodnoty_A = uicontrol(Panel_hodnoty,'Style','Text',...
        'String','',...
        'HorizontalAlignment','Center',...
        'Position',[190 10 40 170]);
    Hodnoty_D = uicontrol(Panel_hodnoty,'Style','Text',...
        'String','',...
        'HorizontalAlignment','Center',...
        'Position',[235 10 40 170]);
    Hodnoty_T0 = uicontrol(Panel_hodnoty,'Style','Text',...
        'String','',...
        'HorizontalAlignment','Center',...
        'Position',[280 10 40 170]);
    Hodnoty_PI = uicontrol(Panel_hodnoty,'Style','Text',...
        'String','',...
        'HorizontalAlignment','Center',...
        'Position',[325 10 40 170]);
    Hodnoty_strana = uicontrol(Panel_hodnoty,'Style','Text',...
        'String','',...
        'HorizontalAlignment','Center',...
        'Position',[55 10 40 170]);
    Hodnoty_misto = uicontrol(Panel_hodnoty,'Style','Text',...
        'String','',...
        'HorizontalAlignment','Center',...
        'Position',[10 10 40 170]);

Panel_klasifikace = uipanel('Parent',figure_anamneza,...
    'Title','Klasifikace',...
    'Units','pixels',...
    'Position',[420 230 350 70]);
    Zarazen_p_t = uicontrol(Panel_klasifikace,'Style','Text',...
        'String','DX-pravá strana',...
        'Position',[130 43 80 15],...
        'HorizontalAlignment','Left');
    Zarazen_l_t = uicontrol(Panel_klasifikace,'Style','Text',...
        'String','SIN-levá strana',...
        'Position',[240 43 80 15],...
        'HorizontalAlignment','Left');
    Zarazen = uicontrol(Panel_klasifikace,'Style','Text',...
        'String','Zařazen do klasifikace',...
        'Position',[5 25 130 15],...
        'HorizontalAlignment','Left');
    Zarazen_prava = uicontrol(Panel_klasifikace,'Style','CheckBox',...
        'Position',[135 25 15 15]);
    Zarazen_leva = uicontrol(Panel_klasifikace,'Style','CheckBox',...
        'Position',[245 25 15 15]);
    Zarazeni_prava_c = uicontrol(Panel_klasifikace,'Style','Edit',...
        'Enable','Inactive',...
        'Position',[175 26 25 18],...
        'HorizontalAlignment','Center');
    Zarazeni_leva_c = uicontrol(Panel_klasifikace,'Style','Edit',...
        'Enable','Inactive',...
        'Position',[280 26 25 18],...
        'HorizontalAlignment','Center');
    Zarazeni_DSA_t = uicontrol(Panel_klasifikace,'Style','Text',...
        'String','Zařazení podle DSA',...
        'Position',[5 3 130 15],...
        'HorizontalAlignment','Left');
    Zarazeni_DSA_p = uicontrol(Panel_klasifikace,'Style','Edit',...
        'Enable','Inactive',...
        'Position',[175 4 25 18],...
        'HorizontalAlignment','Center');
    Zarazeni_DSA_l = uicontrol(Panel_klasifikace,'Style','Edit',...
        'Enable','Inactive',...
        'Position',[280 4 25 18],...
        'HorizontalAlignment','Center');
    
Panel_klasifikovani = uipanel('Parent',figure_anamneza,...
    'Title',['Pacienti zařazení do klasifikace množiny - ',misto],...
    'Units','pixels',...
    'Position',[420 10 350 210]);
    Zarazeni_klasifikace_p = uicontrol(Panel_klasifikovani,'Style','Text',...
        'Enable','Inactive',...
        'Position',[30 100 310 90],...
        'HorizontalAlignment','Left');
    Zarazeni_klasifikace_p_t = uicontrol(Panel_klasifikovani,'Style','Text',...
        'String','DX',...
        'Position',[5 175 20 15],...
        'HorizontalAlignment','Center');
    Zarazeni_klasifikace_l = uicontrol(Panel_klasifikovani,'Style','Text',...
        'Enable','Inactive',...
        'Position',[30 5 310 90],...
        'HorizontalAlignment','Left');
    Zarazeni_klasifikace_l_t = uicontrol(Panel_klasifikovani,'Style','Text',...
        'String','SIN',...
        'Position',[5 80 20 15],...
        'HorizontalAlignment','Center');
    
%% Pocatecni inicializace dat
% Assign the GUI a name to appear in the window title.
global misto ID_tren ID_test IDX tren_vstup test_vstup;
set(figure_anamneza,'NumberTitle','off','Name',['Pacientska data - ',misto] );
% Move the GUI to the center of the screen.
movegui(figure_anamneza,'center');
% Make the GUI visible.
set([figure_anamneza,Panel_admin,Panel_mereni,Panel_anamneza,ID_pacienta_t,ID_pacienta,...
    Prijmeni_t,Prijmeni,Jmeno_t,Jmeno,Rod_cisl_t,Rod_cisl,Datum_nar_t,...
    Datum_mer_t,Datum_mer,Datum_nar,Vek_t,Vek,Vyska_t,Vyska,...
    Pohlavi_t,Pohlavi,Vaha_t,Vaha,Strana,TK_AB_t,TK_AB,TK_AP_dx_t,TK_AP_dx,...
    TK_AP_sin,TK_ATP_dx_t,TK_ATP_dx,TK_ATP_sin,TK_ATA_dx_t,TK_ATA_dx,TK_ATA_sin,...
    teplota_dx_t,teplota_dx,teplota_sin,Diabettes_t,Diabettes,Diabettes_let_t,...
    Diabettes_let,Hypertenze_t,Hypertenze,Hypertenze_let_t,Hypertenze_let,...
    Geneticka_zatez_t,Geneticka_zatez,Cevni_oper_t,Cevni_operace,Srdecni_nemoc_t,...
    Srdecni_nemoc,Angina_pect_t,Angina_pect,Varixy_t,Varixy,Koureni_t,Koureni,...
    Koureni_let_t,Koureni_let,Koureni_denne_t,Koureni_denne,Klaudikace_sin_t,...
    Klaudikace_sin,Klaudikace_sin_vzd_t,Klaudikace_sin_vzd,Klaudikace_dx_t,Klaudikace_dx,...
    Klaudikace_dx_vzd_t,Klaudikace_dx_vzd,Stenoza_sin_t,Stenoza_sin,Stenoza_dx_t,Stenoza_dx,...
    popisek,Hodnoty_fmax,Hodnoty_fmin,Hodnoty_A,Hodnoty_D,Hodnoty_T0,Hodnoty_PI,...
    Hodnoty_strana,Hodnoty_misto, Zarazen_p_t,Zarazen_l_t,Zarazen,Zarazen_prava,Zarazen_leva,...
    Zarazeni_prava_c,Zarazeni_leva_c,Zarazeni_DSA_t,Zarazeni_DSA_p,Zarazeni_DSA_l,Panel_klasifikace,...
    Panel_hodnoty,Zarazeni_klasifikace_p,Zarazeni_klasifikace_p_t,Zarazeni_klasifikace_l,Zarazeni_klasifikace_l_t,...
    ],'Units','normalized');
%Set GUI Color
% defaultBackground = get(0,'defaultUicontrolBackgroundColor');
defaultBackground = [.8 .8 .8];
set(figure_anamneza,'Color',defaultBackground);

set(figure_anamneza,'Visible','on');
DB = load(fullfile('data matlab','DB_AVG.mat'));
db_avg = DB.db_avg;
db_avg_cisl = DB.db_avg_cisl;
db_anamneza = DB.db_anamneza;
ID_sig_PR = DB.ID_sig_PR;

if strcmpi(misto,'AF+AP+ATP')
    zarazeni_do_prave = ID_test(ID_test(:,5)==1,1);
    zarazeni_do_leve = ID_test(ID_test(:,5)==2,1);
else
    zarazeni_do_prave = ID_test(ID_test(:,3)==1,1);
    zarazeni_do_leve = ID_test(ID_test(:,3)==2,1);
end

set(Zarazeni_klasifikace_p,'String',num2str(zarazeni_do_prave'));
set(Zarazeni_klasifikace_l,'String',num2str(zarazeni_do_leve'));


%% pacient
function pop_up_pacient_Callback(hObject, eventdata)
pacient=get(hObject,'Value');
handles.pacient = pacient;

set(Prijmeni,'String',db_anamneza{pacient}.Prijmeni);
set(Jmeno,'String',db_anamneza{pacient}.Jmeno);
% set(Rod_cisl,'String',[db_anamneza{pacient}.RodCislo(1:6),'/',db_anamneza{pacient}.RodCislo(7:end)]);
set(Datum_nar,'String',[db_anamneza{pacient}.Datum_nar(end-1:end),'.',db_anamneza{pacient}.Datum_nar(end-3:end-2),'.',db_anamneza{pacient}.Datum_nar(1:4)]);
set(Datum_mer,'String',[db_anamneza{pacient}.Datum_mer(end-1:end),'.',db_anamneza{pacient}.Datum_mer(end-3:end-2),'.',db_anamneza{pacient}.Datum_mer(1:4)]);
set(Vek,'String',db_anamneza{pacient}.Vek);
set(Vyska,'String',[num2str(db_anamneza{pacient}.Vyska),'cm']);
set(Pohlavi,'String',db_anamneza{pacient}.Pohlavi);
set(Vaha,'String',[num2str(db_anamneza{pacient}.Vaha),'kg']);
if db_anamneza{pacient}.TK_AB>=0 
    set(TK_AB,'String',[num2str(db_anamneza{pacient}.TK_AB),'mmHg']);
else
    set(TK_AB,'String',[num2str(0),'mmHg']);
end
%
if db_anamneza{pacient}.TK_AP_dx>=0
set(TK_AP_dx,'String',[num2str(db_anamneza{pacient}.TK_AP_dx),'mmHg']);
else
    set(TK_AP_dx,'String',[num2str(0),'mmHg']);
end
%
if db_anamneza{pacient}.TK_AP_sin>=0
    set(TK_AP_sin,'String',[num2str(db_anamneza{pacient}.TK_AP_sin),'mmHg']);
else
    set(TK_AP_sin,'String',[num2str(0),'mmHg']);
end
%
if db_anamneza{pacient}.TK_ATP_dx>=0
    set(TK_ATP_dx,'String',[num2str(db_anamneza{pacient}.TK_ATP_dx),'mmHg']);
else
    set(TK_ATP_dx,'String',[num2str(0),'mmHg']);
end
%
if db_anamneza{pacient}.TK_ATP_sin>=0
    set(TK_ATP_sin,'String',[num2str(db_anamneza{pacient}.TK_ATP_sin),'mmHg']);
else
    set(TK_ATP_sin,'String',[num2str(0),'mmHg']);
end
%
if db_anamneza{pacient}.TK_ATA_dx>=0
	set(TK_ATA_dx,'String',[num2str(db_anamneza{pacient}.TK_ATA_dx),'mmHg']);
else
    set(TK_ATA_dx,'String',[num2str(0),'mmHg']);
end
%
if db_anamneza{pacient}.TK_ATA_sin>=0
    set(TK_ATA_sin,'String',[num2str(db_anamneza{pacient}.TK_ATA_sin),'mmHg']);
else
    set(TK_ATA_sin,'String',[num2str(0),'mmHg']);
end
%
if db_anamneza{pacient}.Teplota_dx>=0
    set(teplota_dx,'String',[num2str(db_anamneza{pacient}.Teplota_dx),'C']);
else
    set(teplota_dx,'String',[num2str(0),'C']);
end
%
if db_anamneza{pacient}.Teplota_sin>=0
    set(teplota_sin,'String',[num2str(db_anamneza{pacient}.Teplota_sin),'C']);
else
    set(teplota_sin,'String',[num2str(0),'C']);
end
%
if strcmpi(db_anamneza{pacient}.Diabetes,'T')
    set(Diabettes,'Value',1,'Enable','Inactiv');
else
    set(Diabettes,'Value',0,'Enable','Inactiv');
end
%
if db_anamneza{pacient}.Diabetes_let>=0
    set(Diabettes_let,'String',db_anamneza{pacient}.Diabetes_let);
else
    set(Diabettes_let,'String',num2str(0));
end
%
if strcmpi(db_anamneza{pacient}.Hypertenze,'T')
    set(Hypertenze,'Value',1,'Enable','Inactiv');
else
    set(Hypertenze,'Value',0,'Enable','Inactiv');
end
%
if db_anamneza{pacient}.Hypertenze_let>=0
    set(Hypertenze_let,'String',db_anamneza{pacient}.Hypertenze_let);
else
    set(Hypertenze_let,'String',num2str(0));
end
%
if strcmpi(db_anamneza{pacient}.Geneticka_zatez,'T')
    set(Geneticka_zatez,'Value',1,'Enable','Inactiv');
else
    set(Geneticka_zatez,'Value',0,'Enable','Inactiv');
end
%
if strcmpi(db_anamneza{pacient}.Cevni_oper,'T')
    set(Cevni_operace,'Value',1,'Enable','Inactiv');
else
    set(Cevni_operace,'Value',0,'Enable','Inactiv');
end
%
if strcmpi(db_anamneza{pacient}.Srdecni_nemoc,'T')
    set(Srdecni_nemoc,'Value',1,'Enable','Inactiv');
else
    set(Srdecni_nemoc,'Value',0,'Enable','Inactiv');
end
%
if strcmpi(db_anamneza{pacient}.Angina_pect,'T')
    set(Angina_pect,'Value',1,'Enable','Inactiv');
else
    set(Angina_pect,'Value',0,'Enable','Inactiv');
end
%
if strcmpi(db_anamneza{pacient}.Varixy,'T')
    set(Varixy,'Value',1,'Enable','Inactiv');
else
    set(Varixy,'Value',0,'Enable','Inactiv');
end
%
if strcmpi(db_anamneza{pacient}.Koureni,'T')
    set(Koureni,'Value',1,'Enable','Inactiv');
else
    set(Koureni,'Value',0,'Enable','Inactiv');
end
%
if db_anamneza{pacient}.Koureni_let>=0
    set(Koureni_let,'String',db_anamneza{pacient}.Koureni_let);
else
    set(Koureni_let,'String',num2str(0));
end
%
if db_anamneza{pacient}.Koureni_let>=0
    set(Koureni_denne,'String',db_anamneza{pacient}.Koureni_denne);
else
    set(Koureni_denne,'String',num2str(0));
end
%
if strcmpi(db_anamneza{pacient}.Klaudikace_sin,'T')
    set(Klaudikace_sin,'Value',1,'Enable','Inactiv');
else
    set(Klaudikace_sin,'Value',0,'Enable','Inactiv');
end
%
if db_anamneza{pacient}.Klaudikace_sin_vzd>=0
    set(Klaudikace_sin_vzd,'String',db_anamneza{pacient}.Klaudikace_sin_vzd);
else
    set(Klaudikace_sin_vzd,'String',' ');
end
%
if strcmpi(db_anamneza{pacient}.Klaudikace_dx,'T')
    set(Klaudikace_dx,'Value',1,'Enable','Inactiv');
else
    set(Klaudikace_dx,'Value',0,'Enable','Inactiv');
end
%
if db_anamneza{pacient}.Klaudikace_dx_vzd>=0
    set(Klaudikace_dx_vzd,'String',db_anamneza{pacient}.Klaudikace_dx_vzd);
else
    set(Klaudikace_dx_vzd,'String',' ');
end
%
if db_anamneza{pacient}.Stenoza_sin>=0
    set(Stenoza_sin,'String',db_anamneza{pacient}.Stenoza_sin);
else
    set(Stenoza_sin,'String',num2str(0));
end
%
if db_anamneza{pacient}.Stenoza_dx>=0
    set(Stenoza_dx,'String',db_anamneza{pacient}.Stenoza_dx);
else
    set(Stenoza_dx,'String',num2str(0));
end
%

zaznam_v_test = find(ID_test(:,1)==pacient);
if strcmpi(misto,'AF+AP+ATP')
    strana_test = ID_test(zaznam_v_test,5);
else
    strana_test = ID_test(zaznam_v_test,3);
end
klasifikovany = IDX(zaznam_v_test);
prepinac = size(zaznam_v_test,1);
switch prepinac
    case 0
        set(Zarazen_prava,'Value',0,'Enable','Inactiv');
        set(Zarazen_leva,'Value',0,'Enable','Inactiv');
        set(Zarazeni_prava_c,'String',num2str(0));
        set(Zarazeni_leva_c,'String',num2str(0)) 
    case 1
        if strana_test==1
            set(Zarazen_prava,'Value',1,'Enable','Inactiv');
            set(Zarazen_leva,'Value',0,'Enable','Inactiv');
            set(Zarazeni_prava_c,'String',num2str(klasifikovany));
            set(Zarazeni_leva_c,'String',num2str(0)); 
        else
            set(Zarazen_prava,'Value',0,'Enable','Inactiv');
            set(Zarazen_leva,'Value',1,'Enable','Inactiv');
            set(Zarazeni_prava_c,'String',num2str(0)); 
            set(Zarazeni_leva_c,'String',num2str(klasifikovany)); 
        end
    case 2
        set(Zarazen_prava,'Value',1,'Enable','Inactiv');
        set(Zarazen_leva,'Value',1,'Enable','Inactiv');
        set(Zarazeni_prava_c,'String',num2str(klasifikovany(1))); 
        set(Zarazeni_leva_c,'String',num2str(klasifikovany(2))); 
end

DSA_zarazeni_p = ID_sig_PR(find(ID_sig_PR(:,1)==pacient & ID_sig_PR(:,3)==1) ,4);
DSA_zarazeni_l = ID_sig_PR(find(ID_sig_PR(:,1)==pacient & ID_sig_PR(:,3)==2) ,4);
if isempty(DSA_zarazeni_p)
    DSA_zarazeni_p = 0;
    DSA_zarazeni_l = 0;
else
    DSA_zarazeni_p = DSA_zarazeni_p(1);
    DSA_zarazeni_l = DSA_zarazeni_l(1);
end
set(Zarazeni_DSA_p,'String',num2str(DSA_zarazeni_p));
set(Zarazeni_DSA_l,'String',num2str(DSA_zarazeni_l));

index_zaznamu = ID_sig_PR(find(ID_sig_PR(:,1)==pacient),2);
strana = ID_sig_PR(find(ID_sig_PR(:,1)==pacient),3);
zarazeny = ID_sig_PR(find(ID_sig_PR(:,1)==pacient),4);

if isempty(zarazeny)
    set(Hodnoty_fmax,'String',0);
    set(Hodnoty_fmin,'String',0);
    set(Hodnoty_A,'String',0);
    set(Hodnoty_D,'String',0);
    set(Hodnoty_T0,'String',0);
    set(Hodnoty_PI,'String',0);
    set(Hodnoty_strana,'String',' ');
    set(Hodnoty_misto,'String',' ');
else
    set(Hodnoty_fmax,'String',num2str(db_avg_cisl(index_zaznamu,1),'%2.3f'));
    set(Hodnoty_fmin,'String',num2str(db_avg_cisl(index_zaznamu,2),'%2.3f'));
    set(Hodnoty_A,'String',num2str(db_avg_cisl(index_zaznamu,3),'%2.3f'));
    set(Hodnoty_D,'String',num2str(db_avg_cisl(index_zaznamu,4),'%2.3f'));
    set(Hodnoty_T0,'String',num2str(db_avg_cisl(index_zaznamu,5),'%2.3f'));
    set(Hodnoty_PI,'String',num2str(db_avg_cisl(index_zaznamu,6),'%2.3f'));

    strana_n = zeros(size(strana,1),3);
    for index = 1:size(strana,1)
        if strana(index)==1
            strana_n(index,:) = ['D','X',' ']; 
        else
            strana_n(index,:) = ['S','I','N'];
        end
    end
    strana_n = char(strana_n);
    set(Hodnoty_strana,'String',strana_n);

    for index = 1:size(index_zaznamu,1)
        mista(index,:) =  db_avg{index_zaznamu(index)}.Misto;
    end
    mista = char(mista);
    set(Hodnoty_misto,'String',mista);
end
guidata(hObject, handles);
end

%%
function Spravne_MenuitemCallback(hObject, eventdata)
if strcmpi(misto,'AF+AP+ATP')
    zarazeni_do_prave = ID_test(ID_test(:,5)==1 & ID_test(:,end)==IDX ,1);
    zarazeni_do_leve = ID_test(ID_test(:,5)==2 & ID_test(:,end)==IDX ,1);
else
    zarazeni_do_prave = ID_test(ID_test(:,3)==1 & ID_test(:,end)==IDX,1);
    zarazeni_do_leve = ID_test(ID_test(:,3)==2 & ID_test(:,end)==IDX,1);
end

set(Zarazeni_klasifikace_p,'String',num2str(zarazeni_do_prave'));
set(Zarazeni_klasifikace_p,'ForegroundColor',[50 220 50]/255);
set(Zarazeni_klasifikace_l,'String',num2str(zarazeni_do_leve'));
set(Zarazeni_klasifikace_l,'ForegroundColor',[50 220 50]/255);
end

%%
function Spatne_MenuitemCallback(hObject, eventdata)

if strcmpi(misto,'AF+AP+ATP')
    zarazeni_do_prave = ID_test(ID_test(:,5)==1 & ID_test(:,end)~=IDX ,1);
    zarazeni_do_leve = ID_test(ID_test(:,5)==2 & ID_test(:,end)~=IDX ,1);
else
    zarazeni_do_prave = ID_test(ID_test(:,3)==1 & ID_test(:,end)~=IDX,1);
    zarazeni_do_leve = ID_test(ID_test(:,3)==2 & ID_test(:,end)~=IDX,1);
end

set(Zarazeni_klasifikace_p,'String',num2str(zarazeni_do_prave'));
set(Zarazeni_klasifikace_p,'ForegroundColor','r');
set(Zarazeni_klasifikace_l,'String',num2str(zarazeni_do_leve'));
set(Zarazeni_klasifikace_l,'ForegroundColor','r');

end

%%
function Vsechny_MenuitemCallback(hObject, eventdata)
if strcmpi(misto,'AF+AP+ATP')
    zarazeni_do_prave = ID_test(ID_test(:,5)==1,1);
    zarazeni_do_leve = ID_test(ID_test(:,5)==2,1);
else
    zarazeni_do_prave = ID_test(ID_test(:,3)==1,1);
    zarazeni_do_leve = ID_test(ID_test(:,3)==2,1);
end

set(Zarazeni_klasifikace_p,'String',num2str(zarazeni_do_prave'));
set(Zarazeni_klasifikace_p,'ForegroundColor','k');
set(Zarazeni_klasifikace_l,'String',num2str(zarazeni_do_leve'));
set(Zarazeni_klasifikace_l,'ForegroundColor','k');
end

%% Tisk prostredi GUI
function PrintMenuitemCallback(hObject, eventdata)
    % Callback function run when the Print menu item is selected    
        printdlg(figure_anamneza);
end

%% Ukonceni programu
function push_konec_Callback(hObject, eventdata)
    selection = questdlg('Opravdu si prejete ukoncit program?',...
                         'Ukonceni programu',...
                         'Yes','No','Yes');
    switch selection,
       case 'Yes',
         close(['Pacientska data - ',misto]);
       case 'No'
         return
    end
end


end
